<?php
/***************************************************************************
 *                           usercp_viewprofile.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: usercp_viewprofile.php,v 1.5.2.1 2003/02/25 23:28:30 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *
 ***************************************************************************/
if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

#include_once($phpbb_root_path . 'includes/functions.'.$phpEx); 
if ( empty($HTTP_GET_VARS[POST_USERS_URL]) || $HTTP_GET_VARS[POST_USERS_URL] == ANONYMOUS )
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
$profiledata = get_userdata($HTTP_GET_VARS[POST_USERS_URL]);
if (!$profiledata)
{
   message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
// <!-- BEGIN easyUCP -->
if ( !$userdata['session_logged_in']  && $profiledata['user_allow_viewprofile'] ) 
{ 
      redirect(append_sid("login.$phpEx?redirect=profile.$phpEx&mode=viewprofile&".POST_USERS_URL."=".$profiledata['user_id'], true));
      exit; 
}
if ( $profiledata['user_allow_viewprofile_2'] == '-1' || $userdata['user_level'] == ADMIN )
{
	$second_page_allowed = true;
}
else if ( $userdata['session_logged_in'] && $profiledata['user_allow_viewprofile_2'] == '0' || $userdata['user_level'] == MOD )
{
	$second_page_allowed = true;
}
else
{
	$second_page_allowed = false;
	$page = '';
}
( $profiledata['user_allow_viewprofile_2'] == '-2' ) ? $second_page_allowed = false : '';
// <!-- END easyUCP -->

$sql = "SELECT *
	FROM " . RANKS_TABLE . "
	ORDER BY rank_special, rank_min";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain ranks information', '', __LINE__, __FILE__, $sql);
}
$ranksrow = array();

while ( $row = $db->sql_fetchrow($result) )
{
	$ranksrow[] = $row;
}
$db->sql_freeresult($result);

//
// Output page header and profile_view template
//
// <!-- BEGIN easyUCP -->
//	'body' => 'profile_view_body.tpl')
if ( $page )
{
	$second_profile_link .= '<a href="';
	$second_profile_link .= append_sid("profile.$phpEx?mode=viewprofile&u=" . $profiledata['user_id']);
	$second_profile_link .= '">&nbsp;&#171;&nbsp;' . $lang['Previous'] . '</a>';

	$template->set_filenames(array(
		'body' => 'easyucp_second_body.tpl')
	);
} else {
	if ( $second_page_allowed )
	{
		$second_profile_link .= '<a href="';
		$second_profile_link .= append_sid("profile.$phpEx?mode=viewprofile&u=" . $profiledata['user_id'] . "&page=2");
		$second_profile_link .= '">' . $lang['Next'] . '&nbsp;&#187;&nbsp;</a>';
	}

	$template->set_filenames(array(
		'body' => 'easyucp_body.tpl')
	);
}
// <!-- END easyUCP -->
make_jumpbox('viewforum.'.$phpEx);


//
// Calculate the number of days this user has been a member ($memberdays)
// Then calculate their posts per day
//
$regdate = $profiledata['user_regdate'];
$memberdays = max(1, round( ( time() - $regdate ) / 86400 ));
$posts_per_day = $profiledata['user_posts'] / $memberdays;

// Get the users percentage of total posts
if ( $profiledata['user_posts'] != 0  )
{
	$total_posts = get_db_stat('postcount');
	$percentage = ( $total_posts ) ? min(100, ($profiledata['user_posts'] / $total_posts) * 100) : 0;
}
else
{
	$percentage = 0;
}

// Mighty Gorgon - Full Album Pack - BEGIN
$sql = 'SELECT count(*) AS pic_total
			FROM ' . ALBUM_CAT_TABLE . ' AS c, ' . ALBUM_TABLE . ' AS p
			WHERE c.cat_user_id = ' . $profiledata['user_id'] .'
			AND p.pic_cat_id = c.cat_id';

if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain ranks information', '', __LINE__, __FILE__, $sql);
}

if ( $row = $db->sql_fetchrow($result) )
{
	$totalpicrow = $row;
}
$db->sql_freeresult($result);

$language = $board_config['default_lang'];
if ( !file_exists($phpbb_root_path . 'language/lang_' . $language . '/lang_main_album.'.$phpEx) )
{
	$language = 'english';
}
include($phpbb_root_path . 'language/lang_' . $language . '/lang_main_album.' . $phpEx);

$album_config = array();
$sql = 'SELECT * FROM '. ALBUM_CONFIG_TABLE . ' WHERE config_name = \'show_all_in_personal_gallery\' LIMIT 1';
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, "Could not query Album config information", "", __LINE__, __FILE__, $sql);
}
$row = $db->sql_fetchrow($result);
$album_config[$row['config_name']] = $row['config_value'];
$db->sql_freeresult($result);
// Mighty Gorgon - Full Album Pack - END
$avatar_img = '';
if ( $profiledata['user_avatar_type'] && $profiledata['user_allowavatar'] )
{
	switch( $profiledata['user_avatar_type'] )
	{
		case USER_AVATAR_UPLOAD:
			$avatar_img = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_REMOTE:
			$avatar_img = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_GALLERY:
			$avatar_img = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
	}
}

//
// Default Avatar MOD - Begin
//
if ( empty($avatar_img) )
{
	$avatar_img = '<a href="./profile.php?mode=editprofile"><img src="'.  $images['default_avatar'] .'" alt="Klick hier, um den Avatar zu ndern" border="0" /></a>';
} 
//
// Default Avatar MOD - End
//


// Start add - Online/Offline/Hidden Mod
if ($profiledata['user_session_time'] >= (time()-60))
{
	if ($profiledata['user_allow_viewonline'])
	{
		$status = '<img src="' . $images['icon_online'] . '" alt="' . $lang['Online'] . '" title="' . $lang['Online'] . '" border="0" />';
	}
	else if ( ( $userdata['user_level'] == ADMIN ) || ( $userdata['user_id'] == $profiledata['user_id'] ) )
	{
		$status = '<img src="' . $images['icon_hidden'] . '" alt="' . $lang['Hidden'] . '" title="' . $lang['Hidden'] . '" border="0" />';
	}
	else
	{
		$status = '<img src="' . $images['icon_offline'] . '" alt="' . $lang['Offline'] . '" title="' . $lang['Offline'] . '" border="0" />';
	}
}
else
{
	$status = '<img src="' . $images['icon_offline'] . '" alt="' . $lang['Offline'] . '" title="' . $lang['Offline'] . '" border="0" />';
}
// End add - Online/Offline/Hidden Mod

$poster_rank = '';
$rank_image = '';
if ( $profiledata['user_rank'] )
{
	for($i = 0; $i < count($ranksrow); $i++)
	{
		if ( $profiledata['user_rank'] == $ranksrow[$i]['rank_id'] && $ranksrow[$i]['rank_special'] )
		{
			$poster_rank = $ranksrow[$i]['rank_title'];
			$rank_image = ( $ranksrow[$i]['rank_image'] ) ? '<img src="' . $ranksrow[$i]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
		}
	}
}
else
{
	for($i = 0; $i < count($ranksrow); $i++)
	{
		if ( $profiledata['user_posts'] >= $ranksrow[$i]['rank_min'] && !$ranksrow[$i]['rank_special'] )
		{
			$poster_rank = $ranksrow[$i]['rank_title'];
			$rank_image = ( $ranksrow[$i]['rank_image'] ) ? '<img src="' . $ranksrow[$i]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
		}
	}
}

$temp_url = append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=" . $profiledata['user_id']);
$pm_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_pm'] . '" alt="' . $lang['Send_private_message'] . '" title="' . $lang['Send_private_message'] . '" border="0" /></a>';
$pm = '<a href="' . $temp_url . '">' . $lang['Send_private_message'] . '</a>';
// Begin Map Mod
$sql = 'SELECT * 
	FROM ' . MAP_MOD_USER_TABLE . '
	WHERE user_id='.$profiledata['user_id'];
if(!$map_result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, "Couldn't obtain map information.", "", __LINE__, __FILE__, $sql);
}
$map_row = $db->sql_fetchrow($map_result);
if ((intval($map_row['user_id'])<>0) && ((float)$map_row['longitude']<>0.0) && ((float)$map_row['latitude']<>0.0))
{
	$map_highlight_id=$profiledata['user_id'];
	$template->assign_block_vars('switch_user_map', array());
}
else
{
	$map_highlight_id=0;
	$template->assign_block_vars('switch_user_no_map', array());
}
$db->sql_freeresult($map_result);
// End Map Mod

if ( !empty($profiledata['user_viewemail']) || $userdata['user_level'] == ADMIN )
{
	$email_uri = ( $board_config['board_email_form'] ) ? append_sid("profile.$phpEx?mode=email&amp;" . POST_USERS_URL .'=' . $profiledata['user_id']) : 'mailto:' . $profiledata['user_email'];

	$email_img = '<a href="' . $email_uri . '"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>';
	$email = '<a href="' . $email_uri . '">' . $lang['Send_email'] . '</a>';
}
else
{
	$email_img = '&nbsp;';
	$email = '&nbsp;';
}

$www_img = ( $profiledata['user_website'] ) ? '<a href="' . $profiledata['user_website'] . '" target="_userwww"><img src="' . $images['icon_www'] . '" alt="' . $lang['Visit_website'] . '" title="' . $lang['Visit_website'] . '" border="0" /></a>' : '&nbsp;';
$www = ( $profiledata['user_website'] ) ? '<a href="' . $profiledata['user_website'] . '" target="_userwww">' . $profiledata['user_website'] . '</a>' : '&nbsp;';

if ( !empty($profiledata['user_icq']) )
{
	$icq_status_img = '<a href="http://wwp.icq.com/' . $profiledata['user_icq'] . '#pager"><img src="http://web.icq.com/whitepages/online?icq=' . $profiledata['user_icq'] . '&img=5" width="18" height="18" border="0" /></a>';
	$temp_url = append_sid('icqinfo.php?info=' . $profiledata['user_icq']); 
$temp_popup = "Javascript:window.open('$temp_url', '_icqinfo_popup', 'width=400,height=300,scrollbars=yes');"; 
$icq_img = '<a href="#" onClick="' . $temp_popup . '"><img src="' . $images['icon_icq'] . '" alt="' . $lang['ICQ'] . '" title="' . $lang['ICQ'] . '" border="0" /></a>';

	$icq =  '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $profiledata['user_icq'] . '">' . $lang['ICQ'] . '</a>';
}
else
{
	$icq_status_img = '&nbsp;';
	$icq_img = '&nbsp;';
	$icq = '&nbsp;';
}

$aim_img = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?"><img src="' . $images['icon_aim'] . '" alt="' . $lang['AIM'] . '" title="' . $lang['AIM'] . '" border="0" /></a>' : '&nbsp;';
$aim = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?">' . $lang['AIM'] . '</a>' : '&nbsp;';

// <!-- BEGIN easyUCP -->
//$msn_img = ( $profiledata['user_msnm'] ) ? $profiledata['user_msnm'] : '&nbsp;';
//$msn = $msn_img;
$msn_img = ( $profiledata['user_msnm'] ) ? '<img src="' . $images['icon_msnm'] . '" alt="' . $lang['MSNM'] . '&nbsp;=&nbsp; ' . $profiledata['user_msnm'] . '" title="' . $lang['MSNM'] . '&nbsp;=&nbsp;' . $profiledata['user_msnm'] . '" border="0" />' : ''; 
$msn = $msn_img;
// <!-- END easyUCP -->

$yim_img = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg"><img src="' . $images['icon_yim'] . '" alt="' . $lang['YIM'] . '" title="' . $lang['YIM'] . '" border="0" /></a>' : '';
$yim = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg">' . $lang['YIM'] . '</a>' : '';

$temp_url = append_sid("search.$phpEx?search_author=" . urlencode($profiledata['username']) . "&amp;showresults=posts");
$search_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_search'] . '" alt="' . sprintf($lang['Search_user_posts'], $profiledata['username']). '" title="' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '" border="0" /></a>';
$search = '<a href="' . $temp_url . '">' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '</a>';
// <!-- BEGIN easyUCP -->
// Profile Sig
$user_sig = '';
if ( $profiledata['user_attachsig'] && $board_config['allow_sig'] )
{
    include($phpbb_root_path . 'includes/bbcode.'.$phpEx);
    $user_sig = $profiledata['user_sig'];
    $user_sig_bbcode_uid = $profiledata['user_sig_bbcode_uid'];
	if ( $user_sig != '' )
    {
        if ( !$board_config['allow_html'] && $profiledata['user_allowhtml'] )
       	{
       		$user_sig = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $user_sig);
       	}
    	if ( $board_config['allow_bbcode'] && $user_sig_bbcode_uid != '' )
   		{
   			$user_sig = ( $board_config['allow_bbcode'] ) ? bbencode_second_pass($user_sig, $user_sig_bbcode_uid) : preg_replace('/\:[0-9a-z\:]+\]/si', ']', $user_sig);
   		}
   		$user_sig = make_clickable($user_sig);

        if (!$userdata['user_allowswearywords'])
        {
            $orig_word = array();
            $replacement_word = array();
            obtain_word_list($orig_word, $replacement_word);
            $user_sig = preg_replace($orig_word, $replacement_word, $user_sig);
        }
        if ( $profiledata['user_allowsmile'] )
        {
            $user_sig = smilies_pass($user_sig);
        }
        $user_sig = str_replace("\n", "\n<br />\n", $user_sig);
	    $template->assign_block_vars('switch_user_sig_block', array());
    }
}

$user_about = '';
if ( $profiledata['user_about'] && $page )
{
	include_once($phpbb_root_path . 'includes/bbcode.'.$phpEx);
	$user_about = $profiledata['user_about'];
	$user_about_bbcode_uid = $profiledata['user_about_bbcode_uid'];
	if ($user_about != '' )
	{
		if ( !$board_config['allow_html'] && $profiledata['user_allowhtml'] )
		{
			$user_about = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $user_about);
		}
		if ( $board_config['allow_bbcode'] && $user_about_bbcode_uid != '' )
		{
			$user_about = ( $board_config['allow_bbcode'] ) ? bbencode_second_pass($user_about, $user_about_bbcode_uid) : preg_replace('/\:[0-9a-z\:]+\]/si', ']', $user_about);
		}
		$user_about = make_clickable($user_about);

		if (!$userdata['user_allowswearywords'])
		{
			$orig_word = array();
			$replacement_word = array();
			obtain_word_list($orig_word, $replacement_word);
			$user_about = preg_replace($orig_word, $replacement_word, $user_about);
		}
		if ( $profiledata['user_allowsmile'] )
		{
			$user_about = smilies_pass($user_about);
		}
		$user_about = str_replace("\n", "\n<br />\n", $user_about);
		$template->assign_block_vars('switch_user_about', array());
    }
}

( $board_config['second_profilpage_group'] == '0' && $profiledata['user_posts'] >= $board_config['second_profilpage_posts'] ) ? $ucp_pref_second_ok = true : $ucp_pref_second_ok = false;

$usergroups = '';
$groups = array();
$sql = 'SELECT g.group_id, g.group_name, g.group_description, g.group_type 
	FROM '.USER_GROUP_TABLE.' as l, '.GROUPS_TABLE.' as g 
	WHERE l.user_pending = 0 AND g.group_single_user = 0 AND l.user_id =' . $profiledata['user_id'] . ' AND g.group_id = l.group_id 
	ORDER BY g.group_name, g.group_id';

if ( !($result = $db->sql_query($sql)) ) message_die(GENERAL_ERROR, 'Could not read groups', '', __LINE__, __FILE__, $sql);	
while ($group = $db->sql_fetchrow($result)) $groups[] = $group;

if (count($groups) > 0)
{
	$template->assign_block_vars("switch_usergroups", array());

	for ($i=0; $i < count($groups); $i++)
	{

		( !$ucp_pref_second_ok ) ? (( $board_config['second_profilpage_group'] == $groups[$i]['group_id'] && $profiledata['user_posts'] >= $board_config['second_profilpage_posts'] ) ? $ucp_pref_second_ok = true : '') : '';
		( (($groups[$i]['group_type'] != GROUP_HIDDEN) || ($userdata['user_level'] == ADMIN)) ? $is_ok = true : $is_ok = false );
		if (!$is_ok)
		{
			$group_id = $groups[$i]['group_id'];
			$sql = 'SELECT *
				FROM '.USER_GROUP_TABLE.'
				WHERE group_id=' . $group_id . ' AND user_id=' . $userdata['user_id'] . ' AND user_pending=0';

			if ( !($result = $db->sql_query($sql)) ) message_die(GENERAL_ERROR, 'Couldn\'t obtain viewer group list', '', __LINE__, __FILE__, $sql);
			$is_ok = ( $group = $db->sql_fetchrow($result) );
		}

		( $is_ok ? $usergroups .= '<a href = "' . append_sid("groupcp.php?g=".$groups[$i]['group_id']) . '" alt = "' . $groups[$i]['group_description'] . '" title = "' . $groups[$i]['group_description'] . '">' . $groups[$i]['group_name'] . '</a>' : '');

		( $i < (count($groups) -1) ? $usergroups .= ', ' : '');
		( $is_ok ? ( $i < (count($groups) -1) ? $usergroups .= ', ' : '') : '');
	}
}

$sql = "SELECT post_time
	FROM " . POSTS_TABLE . "
	WHERE poster_id = " . $profiledata['user_id'] . "
	ORDER BY post_time DESC
	LIMIT 1";

if ( !($result = $db->sql_query($sql)) ) message_die(GENERAL_ERROR, 'Error getting user last post time', '', __LINE__, __FILE__, $sql);

$last_post_row = $db->sql_fetchrow($result);
$last_post_time = ( isset($last_post_row['post_time']) ) ? create_date($board_config['default_dateformat'], $last_post_row['post_time'], $board_config['board_timezone'] ) : $lang['no_post'];
( isset($last_post_row['post_time']) ) ? $template->assign_block_vars('switch_postings', array()) : '';

$last_visit_time = ($profiledata['user_session_time']) ? create_date($lang['DATE_FORMAT'], $profiledata['user_session_time'], $board_config['board_timezone']) : $lang['never_visited'];
// <!-- END easyUCP -->

if ( $board_config['vault_display_profile'] )
{
	$template->assign_block_vars('display_shares',array());

	$sql = " SELECT e.* , eu .* FROM " . VAULT_EXCHANGE_TABLE . " e 
		LEFT JOIN " . VAULT_EXCHANGE_USERS_TABLE . " eu ON ( eu.user_id =  " . $profiledata['user_id'] . " AND e.stock_id = eu.stock_id ) "; 
	if( !($result = $db->sql_query($sql))) 
	{ 
		message_die(GENERAL_ERROR, 'Could not obtain accounts information', "", __LINE__, __FILE__, $sql); 
	} 
	$shares = $db->sql_fetchrowset($result); 

	for ( $i = 0 ; $i < count($shares) ; $i ++ ) 
	{ 
		$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2']; 

		$template->assign_block_vars('display_shares.shares' , array( 
			'SHARE_ROW' => $row_class,
			'SHARE_NAME' => vault_get_lang($shares[$i]['stock_name']),  
			'SHARE_SUM' => intval($shares[$i]['stock_amount']), 
		)); 
	} 

	$sql = " SELECT * FROM " . VAULT_USERS_TABLE . " 
		WHERE owner_id = " . $profiledata['user_id']; 
	if( !($result = $db->sql_query($sql))) 
	{ 
		message_die(GENERAL_ERROR, 'Could not obtain accounts information', "", __LINE__, __FILE__, $sql); 
	} 
	$accounts = $db->sql_fetchrow($result); 

	$on_account = ( $accounts['account_protect'] && $userdata['user_level'] != ADMIN && $accounts['owner_id'] != $userdata['user_id'] ) ? $lang['Vault_confidential'] : intval($accounts['account_sum']).'&nbsp;'.$board_config['points_name'];
	$loan = ( $accounts['loan_protect'] && $userdata['user_level'] != ADMIN && $accounts['owner_id'] != $userdata['user_id'] ) ? $lang['Vault_confidential'] : intval($accounts['loan_sum']).'&nbsp;'.$board_config['points_name'];
}


/* Begin HP/MP/EXP Mod 
* 
* Note: all new variables used created in this mod 
* are prefixed with level_ to be sure of not overwriting 
* other variables. 
* 
*/ 

/* Calculate Level 
* A user's level is determined by their total number of posts. 
* A nice mathmatical formula is used to translate their post count 
* into an intager level. 
* 
* Note: A user with zero (0) posts is considered level 0, however 
* making one (1) post, raises them to level 1. 
* 
*/ 

if($profiledata['user_posts'] < 1) 
{ 
   $level_level = 0; 
} 
else 
{ 
   $level_level = floor( pow( log10( $profiledata['user_posts'] ), 3 ) ) + 1; 
} 

/* Determine Hit Points (HP) 
* 
* Hp is based on user activity. 
* Max HP is based on the user's level, and will generally 
* be the same for all users of the same level. 
* 
* A user's current HP is based on the user's posts per day. 
* A higher post per day (ppd), the more HP they will have. A 
* user with an average PPD (set below) will have 50% of their 
* max HP. As a user goes over the average PPD, they will have 
* more HP, but the gains will decrease as the user's PPD increases. 
* This makes achieving 100% hp difficult, but not impossible. 
* 
* For users with under the average PPD, they will have HP equal 
* to 1/2 the percentage their ppd is of the average. 
* ie- a user with 2.5 ppd, and an average ppd of 5 will have 
* 25% of their max HP. This is because 2.5 is 50% of 5, and 1/2 
* of that, is 25%. 
* 
* Users who manage to post so far above the average that they have 
* more HP than their max will recieve a bonus to their max HP. 
* 
* Note that users at level 0 will always have 0 / 0 hp. 
* 
*/ 

/* 
* This value determines the 'average' posts per day. 
* The admin may redefine this variable as he wishes. 
* Higher values will generally decrease users' HP, and 
* lower values will generally increase users' HP. 
* 
* Note: Do NOT set this value to zero (0). 
* This -may- be set to a fractional value (eg, 5.1, 3.1415) 
* 
*/ 

$level_avg_ppd = 0.4; 

/* 
* this value sets how hard it is to achieve 100% 
* hp. The higher you set it, the harder it is to 
* get full hp. 
* 
* to judge how high to set it, a user must have 
* posts per day equal to the $level_avg_ppd plus 
* the number set below. 
* 
* This should NOT be zero. 
*/ 

$level_bonus_redux = 2; 

if($level_level < 1) 
{ 
   $level_hp = "0 / 0"; 
   $level_hp_percent = 0; 
} 
else 
{ 
   $level_max_hp = floor( (pow( $level_level, (1/4) ) ) * (pow( 10, pow( $level_level+2, (1/3) ) ) ) / (1.5) ); 

   if($posts_per_day >= $level_avg_ppd) 
   { 
      $level_hp_percent = floor( (.5 + (($posts_per_day - $level_avg_ppd) / ($level_bonus_redux * 2)) ) * 100); 
   } 
   else 
   { 
      $level_hp_percent = floor( $posts_per_day / ($level_avg_ppd / 50) ); 
   } 
    
   if($level_hp_percent > 100) 
   { 
      //Give the user a bonus to max HP for greater than 100% hp. 
      $level_max_hp += floor( ($level_hp_percent - 100) * pi() ); 
      $level_hp_percent = 100; 
   } 
   else 
   { 
      $level_hp_percent = max(0, $level_hp_percent); 
   } 
    
   $level_cur_hp = floor($level_max_hp * ($level_hp_percent / 100) ); 
    
   //Be sure a user has no more than max, and no less than zero hp. 
   $level_cur_hp = max(0, $level_cur_hp); 
   $level_cur_hp = min($level_max_hp, $level_cur_hp); 
    
   $level_hp = $level_cur_hp . ' / ' . $level_max_hp; 
} 

/* Determine MP 
* 
* MP is calculated by how long the user has been around 
* and how often they post. 
* 
* Max MP is based on level, and increases with level 
* Each post a user makes costs them mp, 
* and a user regenerates mp proportional to how 
* many days they have been registered 
* 
*/ 

//Number of days the user has been at the forums. 
$level_user_days = max(1, round( ( time() - $profiledata['user_regdate'] ) / 86400 )); 

/* The mp cost for one post. 
* Raising this value will generally decrease the current 
* mp for most posters. 
* This may be set to a decimal value (eg, 2, 2.1, 3.141596) 
* This should NOT be set to 0 
*/ 
$level_post_mp_cost = 2.3; 

/* This determines how much mp a user regenerates per day 
* Raising this value will generally increase the current 
* mp for most posters. 
* This may be set to a decimal value (eg, 3, 3.5, 2.71828) 
* This should NOT be set to 0 
*/ 
$level_mp_regen_per_day = 1.3; 

if($level_level < 1) 
{ 
   $level_mp = '0 / 0'; 
   $level_mp_percent = 0; 
} 
else 
{ 
   $level_max_mp = floor( (pow( $level_level, (1/4) ) ) * (pow( 10, pow( $level_level+2, (1/3) ) ) ) / (pi()) ); 
    
   $level_mp_cost = $profiledata['user_posts'] * $level_post_mp_cost; 
   $level_mp_regen = max(1, $level_user_days * $level_mp_regen_per_day); 
    
   $level_cur_mp = floor($level_max_mp - $level_mp_cost + $level_mp_regen); 
   $level_cur_mp = max(0, $level_cur_mp); 
   $level_cur_mp = min($level_max_mp, $level_cur_mp); 
    
   $level_mp = $level_cur_mp . ' / ' . $level_max_mp; 
   $level_mp_percent = floor($level_cur_mp / $level_max_mp * 100 ); 
    
} 

/* Determine EXP percentage 
* 
* Experience is determined by how far the user is away 
* from the next level. This is expressed as a percentage. 
* 
* Note, a user of level 0 has 100% experience. Making one post 
* will put them at level 1. Also, a user that is shown to have 100% 
* experience, will go up a level on their next post. 
* 
*/ 

if($level_level == 0) 
{ 
   $level_exp = "0 / 0"; 
   $level_exp_percent = 100; 
} 
else 
{ 
   $level_posts_for_next = floor( pow( 10, pow( $level_level, (1/3) ) ) ); 
    

   $level_posts_for_this = max(1, floor( pow( 10, pow( ($level_level - 1), (1/3) ) ) ) ); 
    

    
   $level_exp = ($profiledata['user_posts'] - $level_posts_for_this) . " / " . ($level_posts_for_next - $level_posts_for_this); 
    
   $level_exp_percent = floor( ( ($profiledata['user_posts'] - $level_posts_for_this) / max( 1, ($level_posts_for_next - $level_posts_for_this ) ) ) * 100); 
} 



/* END HP/MP/EXP MOD */ 

if ($profiledata['user_birthday']!=999999)
{
 	include($phpbb_root_path . 'includes/chinese.'.$phpEx);
	$chinese = get_chinese_year( realdate('Ymd', $profiledata['user_birthday']) );
	$u_chinese = $images[$chinese];
	$chinese_img = ($chinese=='Unknown') ? '' : '<img src="' . $u_chinese . '" alt="' . $lang[$chinese] . '" title="' . $lang[$chinese] . '" align="top" border="0" />';

	$user_birthdate = realdate('md', $profiledata['user_birthday']);
	$i=0;
	while ($i<26)
	{
		if ($user_birthdate>=$zodiacdates[$n] && $user_birthdate<=$zodiacdates[$i+1])
		{
			$zodiac = $lang[$zodiacs[($i/2)]];
			$u_zodiac = $images[$zodiacs[($i/2)]];
			$zodiac_img = '<img src="' . $u_zodiac . '" alt="' . $zodiac . '" title="' . $zodiac . '" align="top" border="0" />';
			$i=26;
		} else
		{
			$i=$i+2;
		}
	}

	$user_birthday = realdate($lang['DATE_FORMAT'], $profiledata['user_birthday']);
} else
{
	$user_birthday = $lang['No_birthday_specify'];
}

if ($board_config['viewprofile'] == "images")
{
	$itempurge = str_replace("", "", $profiledata['user_items']);
	$itemarray = explode('',$itempurge);
	$itemcount = count ($itemarray);
	$user_items = "<br>";
	for ($xe = 0;$xe < $itemcount;$xe++)
	{
		if ($itemarray[$xe] != NULL)
		{
			if (file_exists('shop/images/'.$itemarray[$xe].'.jpg'))
			{
				$user_items .= ' <img src="shop/images/'.$itemarray[$xe].'.jpg" title="'.$itemarray[$xe].'" alt="'.$itemaray[$xe].'">';
			}
			elseif (file_exists('shop/images/'.$itemarray[$xe].'.gif'))
			{
				$user_items .= ' <img src="shop/images/'.$itemarray[$xe].'.gif" title="'.$itemarray[$xe].'" alt="'.$itemaray[$xe].'">';
			}
		}
	}
	$usernameurl = '<a href="'.append_sid('shop.'.$phpEx.'?action=inventory&searchid='.$profiledata['user_id'], true).'" class="nav">Items</a>: ';
}
elseif ($board_config['viewprofile'] == "link")
{
	$usernameurl = '<a href="'.append_sid('shop.'.$phpEx.'?action=inventory&searchid='.$profiledata['user_id'], true).'" class="nav">Items</a>';
}

//start of effects store checks
$shoparray = explode("", $board_config['specialshop']);
$shoparraycount = count ($shoparray);
$shopstatarray = array();
for ($x = 0; $x < $shoparraycount; $x++)
{
	$temparray = explode("", $shoparray[$x]);
	$shopstatarray[] = $temparray[0];
	$shopstatarray[] = $temparray[1];
}
//end of effects store checks

$usereffects = explode("", $profiledata['user_effects']);
$userprivs = explode("", $profiledata['user_privs']);
$usercustitle = explode("", $profiledata['user_custitle']);
$userbs = array();
$usercount = count($userprivs);
for ($x = 0; $x < $usercount; $x++) { $temppriv = explode("", $userprivs[$x]); $userbs[] = $temppriv[0]; $userbs[] = $temppriv[1]; }
$usercount = count($usereffects);
for ($x = 0; $x < $usercount; $x++) { $temppriv = explode("", $usereffects[$x]); $userbs[] = $temppriv[0]; $userbs[] = $temppriv[1]; }
$usercount = count($usercustitle);
for ($x = 0; $x < $usercount; $x++) { $temppriv = explode("", $usercustitle[$x]); $userbs[] = $temppriv[0]; $userbs[] = $temppriv[1]; }

#======================================================================= |
#==== Start: == Activity Mod Plus ====================================== |
#==== v1.1.0 =========================================================== |
#====
	include_once($phpbb_root_path .'includes/functions_amod_plus.'. $phpEx);
	unset($trophy_count, $trophy_holder, $trophy);			
	if ( ($board_config['ina_show_view_profile']) && ($profiledata['user_trophies'] > '0') && ($profiledata['user_id'] != ANONYMOUS) )	
		{		
	$template->assign_block_vars('trophy', array(
		'PROFILE_TROPHY'	=> "<a href=\"javascript:Trophy_Popup('". $phpbb_root_path ."activity_trophy_popup.$phpEx?user=". $profiledata['user_id'] ."&sid=". $userdata['session_id'] ."','New_Window','400','380','yes')\" onclick=\"blur()\">". $profiledata['user_trophies'] ."</a>",
		'TROPHY_TITLE'		=> $lang['Trohpy'])
			);	
		}		
		
	$template->assign_vars(array(
		'PROFILE_TIME'		=> DisplayPlayingTime(2, $profiledata['ina_time_playing']),
		'PROFILE_TITLE'		=> $lang['profile_game_time'])
			);
		
	if ( ($board_config['ina_char_show_viewprofile']) && ($profiledata['ina_char_name']) && ($profile_data['user_id'] != ANONYMOUS) )
		{
	include_once($phpbb_root_path .'includes/bbcode.'. $phpEx);
		
	$template->assign_block_vars('profile_char', array(
		'CHAR_PROFILE' => AMP_Profile_Char($profiledata['user_id'], ''))
			);		
		}
		
	$poster_rank .= Amod_Trophy_King_Image($profiledata['user_id']);
#====
#==== Author: aUsTiN [austin@phpbb-amod.com] [http://phpbb-amod.com] === |
#==== End: ==== Activity Mod Plus ====================================== |	
#======================================================================= |

  //
  // F1 WebTipp
  //
  include($phpbb_root_path . 'includes/functions_formel.'.$phpEx);
  include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_formel.' . $phpEx);
  $formel_config  = get_formel_config();
  $tippers_rank   = $lang['formel_profile_norank'];
  $tippers_points = 0;
  $race_done      = 0;
  if ( $formel_config['show_in_profile'] ) {
    if ( $formel_config['restrict_to'] == 0 || get_formel_auth() || $userdata['user_level'] == ADMIN || $userdata['user_id'] == $formel_config['mod_id'] ) {

          // Get tipp data for this user
          $sql = "SELECT *, sum(tipp_points) as total_points, count(tipp_points) as tipps_made FROM " . FORMEL_TIPPS_TABLE . "
                  GROUP BY tipp_user
                  ORDER BY total_points DESC";
          if (!$result = $db->sql_query($sql))
          {
              message_die(GENERAL_ERROR, 'Could not query races', '', __LINE__, __FILE__, $sql);
          }
          $rank_count = 1;
          while ($row = $db->sql_fetchrow($result)) {
              if ( $row['tipp_user'] == $profiledata['user_id'] ) {
                   $tippers_points = $row['total_points'];
                   $race_done      = $row['tipps_made'];
                   $tippers_rank   = sprintf($lang['formel_profile_rank'], $rank_count);
                   break;
              }
              $rank_count++;
          }
          $db->sql_freeresult($result);

          // Count total races with existing results
          $sql = "SELECT * FROM " . FORMEL_RACES_TABLE . " WHERE race_result <> 0";
          if (!$result = $db->sql_query($sql))
          {
              message_die(GENERAL_ERROR, 'Could not query races', '', __LINE__, __FILE__, $sql);
          }
          $race_total = $db->sql_numrows($result);
          $db->sql_freeresult($result);

          $template->assign_block_vars('formel_webtipp', array(
               'L_PROFILE_WEBTIPP' => $lang['formel_profile_title'],
               'TIPPER_POINTS'     => $tippers_points,
               'TIPPER_RANK'       => $tippers_rank,
               'RACE_DONE'         => sprintf($lang['formel_profile_tipps'], $race_done, $race_total),
               'U_FORMEL_STATS'    => append_sid("formel_stats.".$phpEx))
          );
    }
  }

//
// Generate page
//

// <!-- BEGIN easyUCP -->
	if($userdata['user_level'] == ADMIN && $userdata['user_id'] != $profiledata['user_id'] )
	{
		$template->assign_block_vars("switch_admin_userprofile", array());
	}
	if($userdata['user_id'] === $profiledata['user_id'] )
	{
		$template->assign_block_vars("switch_own_profile", array());
		if ( $ucp_pref_second_ok )
		{
			$template->assign_block_vars('switch_own_profile.switch_ucp_page2_button', array());
		}

		if ( $board_config['allow_sig'] )
		{
			$template->assign_block_vars('switch_own_profile.switch_signature_button', array() );
		}
		if ( $userdata['user_allowavatar'] && ( $board_config['allow_avatar_upload'] || $board_config['allow_avatar_local'] || $board_config['allow_avatar_remote'] ) )
		{
			$template->assign_block_vars('switch_own_profile.switch_avatar_button', array() );
		}
	}
// <!-- END easyUCP -->

if($userdata['user_level'] == ADMIN)
    {
             $template->assign_vars(array(
// <!-- BEGIN easyUCP -->
				'EASY_UCP' => $lang['easyUCP'],
				'LAST_VISIT' => $last_visit_time,
				'LAST_POST_TIME' => $last_post_time,
				'PROFIL_CONTROL' => $lang['easyUCP_profil_control'],
				'EXTENSION_CONTROL' => $lang['easyUCP_extension_control'],
				//'REALNAME' => ( $profiledata['real_name'] ) ? $profiledata['real_name'] : '<i>'.$lang['no_entry'].'</i>',
// <!-- END easyUCP -->			 
               'L_USER_ADMIN_FOR' => $lang['User_admin_for'],
			   'L_USER_PERM_FOR' => $lang['User_perm_for'],
               'U_ADMIN_PROFILE' => "admin/admin_users.$phpEx?mode=edit&amp;" . POST_USERS_URL . "=" . $profiledata['user_id'] . "&sid=" . $userdata['session_id'] ,
   			   'U_ADMIN_PERMISSION' => "admin/admin_ug_auth.$phpEx?mode=user&amp;" . POST_USERS_URL . "=" . $profiledata['user_id'] . "&sid=" . $userdata['session_id'])
             );  
        $template->assign_block_vars("switch_user_admin", array());
    }	
$page_title = $lang['Viewing_profile'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);
if (function_exists('get_html_translation_table'))
{
   $u_search_author = urlencode(strtr($profiledata['username'], array_flip(get_html_translation_table(HTML_ENTITIES))));
}
else
{
   $u_search_author = urlencode(str_replace(array('&amp;', '&#039;', '&quot;', '&lt;', '&gt;'), array('&', "'", '"', '<', '>'), $profiledata['username']));
}

	
display_upload_attach_box_limits($profiledata['user_id']);


$template->assign_vars(array(
	'USERNAME' => $profiledata['username'],
	'JOINED' => create_date($lang['DATE_FORMAT'], $profiledata['user_regdate'], $board_config['board_timezone']),

'L_LOGON' => $lang['Last_logon'], 
'LAST_LOGON' => ($userdata['user_level'] == ADMIN || (!$board_config['hidde_last_logon'] && $profiledata['user_allow_viewonline'])) ? (($profiledata['user_lastlogon'])? create_date($board_config['default_dateformat'], $profiledata['user_lastlogon'], $board_config['board_timezone']):$lang['Never_last_logon']):$lang['Hidde_last_logon'], 

'L_TOTAL_ONLINE_TIME' => $lang['Total_online_time'],
'TOTAL_ONLINE_TIME' => make_hours($profiledata['user_totaltime']),
'L_LAST_ONLINE_TIME' => $lang['Last_online_time'],
'LAST_ONLINE_TIME' => make_hours($profiledata['user_session_time']-$profiledata['user_lastlogon']),
'L_NUMBER_OF_VISIT' => $lang['Number_of_visit'],
'NUMBER_OF_VISIT' => ($profiledata['user_totallogon']>0) ? $profiledata['user_totallogon']: $lang['None'],
'L_NUMBER_OF_PAGES' => $lang['Number_of_pages'], 
'NUMBER_OF_PAGES' => ($profiledata['user_totalpages']) ? $profiledata['user_totalpages']: $lang['None'], 

	'POSTER_RANK' => $poster_rank,
	'RANK_IMAGE' => $rank_image,
	'INVENTORYLINK' => $usernameurl,
	'INVENTORYPICS' => $user_items,
	'POSTS_PER_DAY' => $posts_per_day,
	'POSTS' => $profiledata['user_posts'],
	'PERCENTAGE' => $percentage . '%', 
	'POST_DAY_STATS' => sprintf($lang['User_post_day_stats'], $posts_per_day), 
	'POST_PERCENT_STATS' => sprintf($lang['User_post_pct_stats'], $percentage), 

	'SEARCH_IMG' => $search_img,
	'SEARCH' => $search,
	'L_ON_ACCOUNT' => $lang['Vault_on_account'], 
	'L_LOAN' => $lang['Vault_loan_account'],
	'ON_ACCOUNT' => $on_account,
	'LOAN' => $loan,
	'PM_IMG' => $pm_img,
	'PM' => $pm,
	'EMAIL_IMG' => $email_img,
	'EMAIL' => $email,
	'WWW_IMG' => $www_img,
	'WWW' => $www,
	'ICQ_STATUS_IMG' => $icq_status_img,
	'ICQ_IMG' => $icq_img, 
	'ICQ' => $icq, 
	'AIM_IMG' => $aim_img,
	'AIM' => $aim,
	'MSN_IMG' => $msn_img,
	'MSN' => $msn,
	'YIM_IMG' => $yim_img,
	'YIM' => $yim,
	// Begin Map Mod
	'U_USER_MAP' => append_sid("map.$phpEx?highlight=".$map_highlight_id),
	'L_USER_MAP' => $lang['map_show_user'],
	// End Map Mod
	// Start add - Online/Offline/Hidden Mod
	'VIEW_STATUS' => $status,
	// End add - Online/Offline/Hidden Mod

	'LOCATION' => ( $profiledata['user_from'] ) ? $profiledata['user_from'] : '&nbsp;',
	'OCCUPATION' => ( $profiledata['user_occ'] ) ? $profiledata['user_occ'] : '&nbsp;',
	'INTERESTS' => ( $profiledata['user_interests'] ) ? $profiledata['user_interests'] : '&nbsp;',
// <!-- BEGIN easyUCP -->
	'USER_SIG' => $user_sig,
	'USER_ABOUT' => $user_about,
	'USERGROUPS' => $usergroups,
// <!-- END easyUCP -->	
	
	// 'REAL_NAME' => ( $profiledata['user_real_name'] ) ? $profiledata['user_real_name'] : '&nbsp;',
	'REAL_NAME' => ( $profiledata['user_real_name'] ) ? $profiledata['user_real_name'] : '<i>'.$lang['no_entry'].'</i>',
	'L_REAL_NAME' => $lang['realname'],
	'NUMBER' => ( $profiledata['user_number'] ) ? $profiledata['user_number'] : '&nbsp;',
	'L_NUMBER' => $lang['Number'],
	'NICK' => ( $profiledata['user_nick'] ) ? $profiledata['user_nick'] : '&nbsp;',
	'L_NICK' => $lang['Nickname'],
	'PLAYS' => ( $profiledata['user_plays'] ) ? $profiledata['user_plays'] : '&nbsp;',
	'L_PLAYS' => $lang['Plays'],
	'SCOUTS_FROM' => ( $profiledata['user_scouts_from'] ) ? $profiledata['user_scouts_from'] : '&nbsp;',
	'L_SCOUTS_FROM' => $lang['Scouts_from'],
	'SCOUTS_TILL' => ( $profiledata['user_scouts_till'] ) ? $profiledata['user_scouts_till'] : '&nbsp;',
	'L_SCOUTS_TILL' => $lang['Scouts_till'],
	'PRI_POS' => ( $profiledata['user_pri_pos'] ) ? $profiledata['user_pri_pos'] : '&nbsp;',
	'L_PRI_POS' => $lang['Prim_position'],
	'FAV_POS' => ( $profiledata['user_fav_pos'] ) ? $profiledata['user_fav_pos'] : '&nbsp;',
	'L_FAV_POS' => $lang['Fav_position'],
	'LIKE' => ( $profiledata['user_like'] ) ? $profiledata['user_like'] : '&nbsp;',
	'L_LIKE' => $lang['Like'],
	'TEAM' => ( $profiledata['user_team'] ) ? $profiledata['user_team'] : '&nbsp;',
	'L_TEAM' => $lang['Team'],

	'BIRTHDAY' => $user_birthday,

	'CHINESE' => $lang[$chinese],
	'CHINESE_IMG' => $chinese_img,
	'U_CHINESE' => $u_chinese,
	'L_CHINESE' => $lang['Chinese_zodiac'],


	'ZODIAC' => $zodiac,
	'ZODIAC_IMG' => $zodiac_img,
	'L_ZODIAC' => $lang['Zodiac'],
	'U_ZODIAC' => $u_zodiac,


	'AVATAR_IMG' => $avatar_img,
	// BEGIN Quiz Hack
	'QUIZ_POINTS' => $profiledata['quiz_points'],

	'L_QUIZ_POINTS' => $lang['Quiz_points'],
	// END Quiz Hack

// <!-- BEGIN easyUCP -->
	'L_PROFILE_ADMIN' => sprintf($lang['Profile_Admin'], $profiledata['username']),
	'L_REGISTRATION_INFO' => $lang['Registration_info'],
	'L_PROFILE_INFO' => $lang['easyUCP_profil_control'],
	'L_SECOND_PROFILEPAGE' => $lang['Second_profilepage'],
	'L_PREFERENCES' => $lang['Preferences'],
	'L_SIGNATURE' => $lang['Signature'],
	'L_USER_ABOUT' => $lang['User_about'],
	'L_PROFILE' => strtok($lang['Viewing_user_profile'], ":"), 
	'L_USER' => $profiledata['username'],
	'L_USERGROUPS' => $lang['Usergroups'],
	'L_LAST_VISIT' => $lang['last_visit'],
	'L_LAST_POST' => $lang['Last_Post'],
// <!-- END easyUCP -->
	'L_VIEWING_PROFILE' => sprintf($lang['Viewing_user_profile'], $profiledata['username']), 
	'L_ABOUT_USER' => sprintf($lang['About_user'], $profiledata['username']), 
	'L_AVATAR' => $lang['Avatar'], 
	'L_POSTER_RANK' => $lang['Poster_rank'], 
	'L_JOINED' => $lang['Joined'], 
	'L_TOTAL_POSTS' => $lang['Total_posts'], 
	'L_SEARCH_USER_POSTS' => sprintf($lang['Search_user_posts'], $profiledata['username']), 
	'L_CONTACT' => $lang['Contact'],
	'L_EMAIL_ADDRESS' => $lang['Email_address'],
	'L_EMAIL' => $lang['Email'],
	'L_PM' => $lang['Private_Message'],
	'L_ICQ_NUMBER' => $lang['ICQ'],
	'L_YAHOO' => $lang['YIM'],
	'L_AIM' => $lang['AIM'],
	'L_MESSENGER' => $lang['MSNM'],
	'L_WEBSITE' => $lang['Website'],
	'L_LOCATION' => $lang['Location'],
	'L_OCCUPATION' => $lang['Occupation'],
	'L_INTERESTS' => $lang['Interests'],
	// Mighty Gorgon - Full Album Pack - BEGIN
	'U_PERSONAL_GALLERY' => append_sid("album.$phpEx?user_id=" . $profiledata['user_id']),
	'L_PERSONAL_GALLERY' => sprintf($lang['Personal_Gallery_Of_User_Profile'], $profiledata['username'], $totalpicrow['pic_total']),

	'U_TOGGLE_VIEW_ALL' => append_sid("album.$phpEx?user_id=" . $profiledata['user_id'] . "&mode=" . ALBUM_VIEW_ALL),
	'TOGGLE_VIEW_ALL_IMG' => $images['mini_all_pic_view_mode'],
	'L_TOGGLE_VIEW_ALL' => sprintf($lang['Show_All_Pic_View_Mode_Profile'], $profiledata['username']),

	'U_ALL_IMAGES_BY_USER' => append_sid("album.$phpEx?user_id=" . $profiledata['user_id'] . "&mode=" . ALBUM_VIEW_LIST),
	'L_ALL_IMAGES_BY_USER' => sprintf($lang['Picture_List_Of_User'], $profiledata['username']),
	// Mighty Gorgon - Full Album Pack - END
	'L_PLAYER_INFO' => $lang['Player_info'],
	// Start add - Online/Offline/Hidden Mod
	'L_VIEW_STATUS' => $lang['View_status'],
	// End add - Online/Offline/Hidden Mod

	'L_BIRTHDAY' => $lang['Birthday'],


	'U_SEARCH_USER' => append_sid("search.$phpEx?search_author=" . $u_search_author),

// <!-- BEGIN easyUCP -->
	'U_VIEWING_PROFILE' => append_sid("profile.$phpEx?mode=viewprofile&u=" . $profiledata['user_id']),
	'U_PROFILE_ADMIN' => append_sid("admin/admin_users.$phpEx?mode=edit&amp;u=" . $profiledata['user_id'] . '&amp;sid='.$userdata['session_id']),
	'U_SECOND_PROFILE_LINK' => $second_profile_link,

	'S_UCP_ACTION' => append_sid("profile.php?mode=editprofile&u=" . $profiledata['user_id']),
// <!-- END easyUCP -->
	
	/* BEGIN LEVEL MOD */ 
	'HP' => $level_hp, 
	'HP_WIDTH' => $level_hp_percent, 
	'MP' => $level_mp, 
	'MP_WIDTH' => $level_mp_percent, 
	'EXP' => $level_exp, 
	'EXP_WIDTH' => $level_exp_percent, 
	'LEVEL' => $level_level, 
	'INJURED' => $level_injury,
	'EXHAUSTED' => $level_exhausted,
/* END LEVEL MOD */ 

	'S_PROFILE_ACTION' => append_sid("profile.$phpEx"))
);

$cm_viewprofile->post_vars($template,$profiledata,$userdata);
include($phpbb_root_path . 'exclusive.'.$phpEx);
// Start add - Show usergroups MOD
include($phpbb_root_path . 'includes/functions_usergroup.'.$phpEx);
if (display_usergroups($userdata['user_id'],$profiledata[user_id],''))
{
	$template->assign_vars(array(
	'L_USER_GROUP' =>$lang['Usergroups']));
} else
{
	$template->assign_vars(array(
	'L_NO_USER_GROUP' =>$lang['Usergroups'],
	'L_NO_USERGROUPS'=> $lang['None']));
} 
// End add - Show usergroups MOD
// Mighty Gorgon - Full Album Pack - BEGIN
if ($album_config['show_all_in_personal_gallery'] == 1)
{
	$template->assign_block_vars('enable_view_toggle', array());
}		
// Mighty Gorgon - Full Album Pack - END

if ($userdata['user_level'] == ADMIN)
{
	include($phpbb_root_path . '/includes/functions_user_viewed_posts.php');
	display_user_viewed_data($profiledata['user_id']);
}

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
